# HP PhotoSmart problem

From: John Pitney (john@pitney.org)
Date: Wed Mar 07 2001 - 05:40:19 PST

- Next message: Jody Williams: "Re: HP PhotoSmart problem"
  - Previous message: Jochen Eisinger: "Re: No scanners identified"
  - Next in thread: Jody Williams: "Re: HP PhotoSmart problem"
  - Reply: Jody Williams: "Re: HP PhotoSmart problem"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hello,

  I am having trouble using scanimage with my HP PhotoSmart scanner. The
  program fails with the following message:

  scanimage: open of device hp:/dev/scanner failed: Error during device I/O

  I am running scanimage (sane-backends) 1.0.4, a Linux 2.4.0 kernel with
  the BusLogic module for my BT-948, and Debian unstable. I have tried
  sane-backends both from Debian packages and re-compiled here from a
  tar file with the same result.

  The scanner works fine under Windows 98 and when using the demo of VueScan
  under Linux.

  After setting SANE_DEBUG_HP to 255, and running
  'scanimage -h -d hp:/dev/scanner', I see the following:

  Usage: scanimage [OPTION]...

  Start image acquisition on a scanner device and write PNM image data to
  standard output.

  -b, --batch=FORMAT working in batch mode
  --format=pnm|tiff file format of output file
  -d, --device-name=DEVICE use a given scanner device (e.g. hp:/dev/scanner)
  -h, --help display this help message and exit
  -L, --list-devices show available scanner devices
  -T, --test test backend thoroughly
  -v, --verbose give even more status messages
  -V, --version print version information
  --accept-md5-only only accept authorization requests using md5
  [sanei_debug] Setting debug level of hp to 255.
  [hp] sane_init called
  [hp] sane_init will finish with Success
  [hp] sane_open called
  [hp] hp_read_config: hp backend v0.93 starts reading config file
  [hp] hp_read_config: processing line <scsi HP>
  [hp] hp_read_config: processing line </dev/scanner>
  [hp] hp_read_config: attach scsi HP
  [hp] hp_get_dev: New device /dev/sg0, connect-scsi, scsi-request=1
  [hp] sanei_hp_device_new: /dev/sg0
  [hp] scsi_inquire: sending INQUIRE
  [hp] scsi_new: sending TEST_UNIT_READY
  [hp] scsi_flush: writing 2 bytes:
  [hp] 0x0000 1B 45 .E
  [hp] scsi_flush: writing 7 bytes:
  [hp] 0x0000 1B 2A 73 32 35 37 45 .*s257E
  [hp] scl_inq: read failed (Error during device I/O)
  [hp] scl_errcheck: Can't read SCL error stack: Error during device I/O
  [hp] sanei_hp_device_new: SCL reset failed
  [hp] scsi_close: closing fd 6
  [hp] hp_read_config: attach /dev/scanner
  [hp] hp_get_dev: New device /dev/scanner, connect-scsi, scsi-request=1
  [hp] sanei_hp_device_new: /dev/scanner
  [hp] scsi_inquire: sending INQUIRE
  [hp] scsi_new: sending TEST_UNIT_READY
  [hp] scsi_flush: writing 2 bytes:
  [hp] 0x0000 1B 45 .E
  [hp] scsi_flush: writing 7 bytes:
  [hp] 0x0000 1B 2A 73 32 35 37 45 .*s257E
  [hp] scl_inq: read failed (Error during device I/O)
  [hp] scl_errcheck: Can't read SCL error stack: Error during device I/O
  [hp] sanei_hp_device_new: SCL reset failed
  [hp] scsi_close: closing fd 6
  [hp] hp_get_dev: New device /dev/scanner, connect-scsi, scsi-request=1
  [hp] sanei_hp_device_new: /dev/scanner
  [hp] scsi_inquire: sending INQUIRE
  [hp] scsi_new: sending TEST_UNIT_READY
  [hp] scsi_flush: writing 2 bytes:
  [hp] 0x0000 1B 45 .E
  [hp] scsi_flush: writing 7 bytes:
  [hp] 0x0000 1B 2A 73 32 35 37 45 .*s257E
  [hp] scl_inq: read failed (Error during device I/O)
  [hp] scl_errcheck: Can't read SCL error stack: Error during device I/O
  [hp] sanei_hp_device_new: SCL reset failed
  [hp] scsi_close: closing fd 4
  scanimage: open of device hp:/dev/scanner failed: Error during device I/O
  Type ``scanimage --help -d DEVICE'' to get list of all options for DEVICE.

  [hp] sane_get_devices called
  [hp] sane_get_devices will finish with Success
  List of available devices:
  v4l:/dev/video0
  [hp] sane_exit called
  [hp] sane_exit will finish

  There is no long pause, as if something is timing out. The same thing
  happens whether I run scanimage as root or not.

  Before switching to Debian, upgrading to Linux 2.4.0, and upgrading to
  SANE 1.0.4, I have the scanner working on the same hardware with SANE.

  Thanks for any help!

  John

      --
      John Pitney
      www.pitney.org
      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Jody Williams: "Re: HP PhotoSmart problem"
  - Previous message: Jochen Eisinger: "Re: No scanners identified"
  - Next in thread: Jody Williams: "Re: HP PhotoSmart problem"
  - Reply: Jody Williams: "Re: HP PhotoSmart problem"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Wed Mar 07 2001 - 07:38:52 PST